Skip to main content
Document Operations

Update document user

<small>Requires an API token with the Document Manager role.</small>

PUT
/documents/{document}/users/{documentUser}

Updates a document user's details and/or access level (role).

Changing the role never affects the user's signatory status - a signatory who is demoted to viewer remains a signatory. Use the signatory endpoints to manage signing.

Note: When updating a user who has an existing user in the current fynk account (has_account_user is true), only role and party_uuid can be updated. Attempting to update other fields (first_name, last_name, title) will cause the request to be rejected with a validation error.

A document must always have at least one owner; demoting the last owner will return a 409 response.

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

documentstringrequired

The document UUID

documentUserstringrequired

The document user UUID

Body

application/json
first_namestring | null

Cannot be updated if the document user's has_account_user field is true

Maximum string length: 255
Example: Emily
last_namestring | null

Cannot be updated if the document user's has_account_user field is true

Maximum string length: 255
Example: Miller
party_uuidstring

UUID of the party the user belongs to

Example: 595703a2-b7f6-4772-a4b7-ab2f9fac3a9f
roleenum<string>

The user's access level on the document. Note that only users with a fynk account user in your account can become an owner

Available options: owner, collaborator, viewer
titlestring | null

Cannot be updated if the document user's has_account_user field is true

Maximum string length: 255
Example: Sales Manager

Response

application/json

DocumentUserResource

dataobjectrequired